# Magicka BBS (Bulletin Board Software)
----
## What is Magicka BBS?
see [MagickaBBS](https://magickabbs.com)

> MagickaBBS is a Bulletin Board System (BBS) for Linux, macOS, FreeBSD, NetBSD, OpenIndiana, DragonFlyBSD and OpenBSD

> Magicka contains both Telnet & SSH servers, an FTP server and a HTTP server. It is able to run both native and DOS doors (via DosBox or Dosemu). It comes with an external full screen editor, a mail tosser/scanner and bluewave offline mail. It has internal ZModem, and works with external protocols like LRZSZ. Magicka is also easily configurable via ini files, and a configuration utility is in the works.

----
## About this Docker Container
This Docker Container represents a completed installation of MagickaBBS. It is ready to configure and personalise.

To use this container:

1. Docker pull it from my registry. (Actually you can skip this step, but its worth doing it anyway!)

        docker pull registry.leenooks.net/bbs/magicka:0.12-alpha-x86_64 (armv7l is available too!)

2. Create a directory to hold your BBS data. (I use */srv/docker/magicka*).

        mkdir -p /srv/magicka/data

3. Start the container.

        docker run -d -v /srv/magicka/data:/opt/magicka/data -p 10022:2024 -p 10023:2023 -p 24554:24554 registry.leenooks.net/bbs/magicka:0.12-alpha-x86_64

    Explanation of these parameters:

    | Parameter | Value |
    | :- | :-- |
    | -d | Detached mode: run the container in the background and print the new container ID. |
    | --name= | Give your container a specific name. (optional) |
    | -p | Map host ports to container ports. (may be required, otherwise recommended) |
    | -v | Map a path on the host into the container (optional but recommended). |
   
    (There are other useful parameters you can use, like --restart, etc. If you dont pass in a data volume for /opt/magicka/data, docker will create one and preserve it if you start subsequent containers a specific way (beyond the scope of this README - so its recommended you do this in first instance anyway.)

    Remember your container ID *(your number will be different)*. 

        ca219a461376...
       
4. You can connect to your container and run any commands inside it.

        docker exec -it ca219a461376 <COMMAND>

5. You can now start to play. If you externalised your telnet port, then you can telnet in.

You can also run this in a swarm (I do)!
